Manuel PHP
Précédent |  | Suivant

# dba_insert

(PHP 3 >= 3.0.8, PHP 4, PHP 5)

dba_insert -- Insère une entrée DBA

## Description

bool dba_insert ( string key, string value, resource handle )

dba_insert() insère l'entrée décrite par la clé key et la valeur value dans la base spécifiée par handle.

## Liste de paramètres

key

  La clé de l'entrée à insérer. Si cette clé existe déjà dans la base de données, cette fonction échouera. Utilisez la fonction dba_replace() si vous devez remplacer une clé existente.

value

  La valeur à insérer.

handle

  Le gestionnaire de base de données, retourné par dba_open() ou dba_popen().

## Valeurs de retour

Cette fonction retourne `TRUE` en cas de succès, `FALSE` en cas d'échec.

## Voir aussi

dba_exists()
dba_delete()
dba_fetch()
dba_replace()

Précédent | Sommaire | Suivant
dba_handlers | Niveau supérieur | dba_key_split